# \nre\coreComponent

Abstract class to implement a (Controller) Component.

## Summary

Methods
Properties
Constants
load()
factory()
No public properties found
No constants found
No protected methods found
No protected properties found
N/A
getClassName()
No private properties found
N/A
abstract

File
  core/Component.inc
Package
  Default
Class hierarchy
  \nre\core\Component

## Tags

author | coderkun olli@coderkun.de

## Methods

### load()

    load(string  $componentName)

Load the class of a Component.

#### Parameters

string | $componentName | Name of the Component to load

#### Throws

\nre\exceptions\ComponentNotFoundException
\nre\exceptions\ComponentNotValidException

#

static

## Tags

None found

### factory()

    factory(string  $componentName)

Instantiate a Component (Factory Pattern).

#### Parameters

string | $componentName | Name of the Component to instantiate

#

static

## Tags

None found

### getClassName()

    getClassName(string  $componentName) : string

Determine the classname for the given Component name.

#### Parameters

string | $componentName | Component name to get classname of

#### Returns

string —

Classname for the Component name

#

static

## Tags

None found

### Component.inc